#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QToolButton>

#include <QGraphicsRectItem>
#include <QGraphicsEllipseItem>

namespace Ui {
class MainWindow;
}


class Shape
{
   public:
       // Shape ();
};

class Ellipse : public QGraphicsEllipseItem, public Shape
{
// QGraphicsItem interface
protected:
       virtual void dragEnterEvent (QGraphicsSceneDragDropEvent *event) override;
       virtual void dropEvent (QGraphicsSceneDragDropEvent *event) override;
public:
    Ellipse ();
};

class ColorButton : public QToolButton
{
private:
    QColor color;
public:
    ColorButton (QColor c);
protected:
    virtual void mousePressEvent(QMouseEvent *event) override;
};

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_action_Quit_triggered();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
